@import '../../../../assets/theme/variables.scss';

.footer {
    display: flex;

    // position: fixed;
    &.not_dark {
        background-color: #ffffff;

        .footer-center p.describe,
        .footer-center p.text-X,
        .right-col .col-text,
        .right-col ul li a {
            color: #182029;

        }

        .footer-center .logo-name {
            filter: brightness(0);
        }
    }

    background: #204BA5;

    .footer-center {
        width: 100%;
        max-width: 1280px;
        margin: auto;
        display: flex;
        justify-content: space-between;
        padding: 51px 81px;

        .left {
            font-family: 'Inter';
            font-style: normal;
            font-weight: 400;
            font-size: 30px;
            line-height: 55px;
            color: #FFFFFF;
        }

        .right {
            display: flex;

            ul {
                padding-left: 100px;
                li {
                    list-style: none;

                    a {
                        text-decoration: none;
                        font-family: 'Inter';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 38px;
                        color: #FFFFFF;
                    }
                }
            }

        }
    }

    // .left-col {
    //     flex: 1;
    //     display: flex;
    //     flex-direction: column;
    //     .icon-contact {
    //         display: flex;
    //         column-gap: 24px;
    //     }
    //     .link {
    //         display: flex;
    //         font-size: 12px;
    //         line-height: 18px;
    //         // column-gap: 32px;
    //         .col {
    //             flex: 1;
    //             &.lite-paper {
    //                 display: flex;
    //                 justify-content: center;
    //             }
    //         }
    //         a {
    //             color: rgba(255, 255, 255, 0.3);
    //         }
    //     }
    // }
    .right-col {
        display: flex;
        justify-content: space-between;

        .col-text {
            font-size: 12px;
            color: rgba(255, 255, 255, 0.3);
            line-height: 20px;
            font-family: "Inter-Regular";
        }

        ul {
            display: flex;

            li {
                display: flex;
                justify-content: center;
                list-style: none;
                padding: 0px 12px;
                line-height: 14px;

                a {
                    font-size: 12px;
                    color: rgba(255, 255, 255, 0.6);
                    line-height: 20px;
                    font-family: "Inter-Regular";
                }
            }

            .line {
                border-left: 1px solid rgba(255, 255, 255, 0.3);
                // border-right: 1px solid  rgba(255, 255, 255, 0.3);
            }
        }
    }
}

/* Extra small devices (phones, 600px and down) */

@media only screen and (max-width: 992px) {
    .footer {
        padding: 64px 30px;
    }
}

@media only screen and (max-width: 768px) {
    .footer {
        flex-direction: column;

        .left-col {
            justify-content: center;

            .icon-contact {
                justify-content: center;
            }

            .link {
                column-gap: 24px;

                .col {
                    &.lite-paper {
                        // justify-content: end;
                        display: block;
                        text-align: right;
                    }
                }
            }
        }

        .right-col {
            display: none;
            margin-top: 25px;
            justify-content: center;
        }

        .footer-center {
            flex-direction: column;
            row-gap: 2rem;
        }
    }
}

@media only screen and (max-width: 500px) {
    .footer {
        padding: 30px;
        text-align: center;
        .footer-center {
            padding: 0;
            .left{
                font-size: 16px;
            }
            .right{
                justify-content: space-between;

                ul{
                    padding: 0;
                    li{

                    }
                }
            }
        }
    }
}